#include <bits/stdc++.h>
#define optimizeio ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

using namespace std;

int main()
{
    optimizeio;
    unsigned long long n, m, r;
    cin >> n >> m;

    if(n < 3 || m < 3)
    {
        cout << n * m;
    }
    else
    {
        r = 2 * m + 2 * (n - 2) + ceil((n - 2) / 2.0) * floor((m - 2) / 2.0) + floor((n - 2) / 2) * ceil((m - 2) / 2.0);
        cout << r;
    }
    return 0;
}